      subroutine getinput(lu_inp,lu_mes,casedata)

	use scremo_data

      integer:: lu_inp 
      integer:: lu_mes
	type(t_casedata) :: casedata
      character*20 :: c20  
	
	casedata%X0 = 0.0E0        
	casedata%Y0 = 0.0E0        
      
      read (lu_inp,*)
      write (lu_mes,*) 'Reading input ...'

      call gkwini(lu_inp,'Input','Name',casedata%name)

      call gkwini(lu_inp,'Input','Length',c20)
	read (c20,'(f20.0)',err=900) casedata%L
      
      call gkwini(lu_inp,'Input','Width1',c20)
	read (c20,'(f20.0)',err=900) casedata%W1
      
c      call gkwini(lu_inp,'Input','Width2',c20)
c	read (c20,'(f20.0)',err=900) casedata%W2
      
c      call gkwini(lu_inp,'Input','Radius',c20)
c	read (c20,'(f20.0)',err=900) casedata%R
      
      call gkwini(lu_inp,'Input','GridDir',c20)
	read (c20,'(f20.0)',err=900) casedata%GD
      
      call gkwini(lu_inp,'Input','TotalDepth',c20)
	read (c20,'(f20.0)',err=900) casedata%H
      
      call gkwini(lu_inp,'Input','ShoreDepth',c20)
	read (c20,'(f20.0)',err=900) casedata%HD
      
      call gkwini(lu_inp,'Input','WindDir',c20)
	read (c20,'(f20.0)',err=900) casedata%WD
      
      call gkwini(lu_inp,'Input','WindSpeed',c20)
	read (c20,'(f20.0)',err=900) casedata%WS
      
c      call gkwini(lu_inp,'Input','CurDir',c20)
c	read (c20,'(f20.0)',err=900) casedata%CD
      
      call gkwini(lu_inp,'Input','CurSpeed',c20)
	read (c20,'(f20.0)',err=900) casedata%CS

      call gkwini(lu_inp,'Input','NLong',c20)
	read (c20,'(i20)',err=900) casedata%NG

      call gkwini(lu_inp,'Input','NLat',c20)
	read (c20,'(i20)',err=900) casedata%MG

      call gkwini(lu_inp,'Input','NVert',c20)
	read (c20,'(i20)',err=900) casedata%KG

      call gkwini(lu_inp,'Input','Case',c20)
	read (c20,'(i20)',err=900) casedata%cas

      call gkwini(lu_inp,'Input','LDischarge',c20)
	read (c20,'(f20.0)',err=900) casedata%LL

      call gkwini(lu_inp,'Input','XShift',c20)
	read (c20,'(f20.0)',err=900) casedata%X0

      call gkwini(lu_inp,'Input','YShift',c20)
	read (c20,'(f20.0)',err=900) casedata%Y0

      call gkwini(lu_inp,'Input','WDischarge',c20)
	read (c20,'(f20.0)',err=900) casedata%WL

      call gkwini(lu_inp,'Input','SpecifiedZDischarge',c20)
	read (c20,'(f20.0)',err=900) casedata%ZL

      call gkwini(lu_inp,'Input','MidFieldZDischarge',c20)
	casedata%LayL = c20

	write (lu_mes,*) 'casedata%name',casedata%name
	write (lu_mes,*) 'casedata%L   ',casedata%L
	write (lu_mes,*) 'casedata%W1  ',casedata%W1
c	write (lu_mes,*) 'casedata%W2  ',casedata%W2 ! NOT USED
c	write (lu_mes,*) 'casedata%R   ',casedata%R ! NOT USED
	write (lu_mes,*) 'casedata%GD  ',casedata%GD
	write (lu_mes,*) 'casedata%H   ',casedata%H
	write (lu_mes,*) 'casedata%HD  ',casedata%HD  
	write (lu_mes,*) 'casedata%WD  ',casedata%WD
	write (lu_mes,*) 'casedata%WS  ',casedata%WS
c	write (lu_mes,*) 'casedata%CD  ',casedata%CD  ! NOT USED
	write (lu_mes,*) 'casedata%CS  ',casedata%CS
	write (lu_mes,*) 'casedata%NG  ',casedata%NG
	write (lu_mes,*) 'casedata%MG  ',casedata%MG
	write (lu_mes,*) 'casedata%KG  ',casedata%KG
	write (lu_mes,*) 'casedata%cas ',casedata%cas
	write (lu_mes,*) 'casedata%LL  ',casedata%LL
	write (lu_mes,*) 'casedata%WL  ',casedata%WL
	write (lu_mes,*) 'casedata%ZL  ',casedata%ZL
	write (lu_mes,*) 'casedata%LayL',casedata%LayL
	write (lu_mes,*) 'casedata%X0  ',casedata%X0
	write (lu_mes,*) 'casedata%Y0  ',casedata%Y0
      
	return
      
  900 write (*,*) 'Error reading input file'
      stop (3)
      end
