	subroutine make_lgacco (hydname,casedata)

      use scremo_data
 
      character*255             :: hydname 
	type(t_casedata)          :: casedata 

	! Local

	integer, parameter :: lu = 101
	integer            :: i,n,m,iseg,npart,iboun
	real               :: dx, dy, x0, y0, alpha, rdum, angle
	real, parameter :: pi = 3.141516

      lgrid = 0
	iseg = 0
	do m = 2,mmax-1
	do n = 2, nmax-1
	    iseg = iseg + 1
	    lgrid(n,m) = iseg
	enddo
	enddo
      dy = casedata%L/real(casedata%NG)
      dx = casedata%W1/real(casedata%MG)

      iboun = 0
	if (casedata%cas.eq.1) then
	    do m = 1,mmax
	    do n = 1,nmax
	        if ((n.eq.1.and.m.gt.1.and.m.lt.mmax).or.
     j            (n.eq.nmax.and.m.gt.1.and.m.lt.mmax).or.
     j            (m.eq.mmax.and.n.gt.1.and.n.lt.nmax)) then
	            iboun = iboun - 1
	            lgrid(n,m) = iboun
              endif
          enddo
          enddo
	    x0 = 0
	    y0 = 0
c         Op het moment dat ik de grid naar -dx,-dy schuif valt het eerste segment weg ...
c	    x0 = -dx
c	    y0 = -dy
          alpha = 0.0
          npart = 0
          rdum  = 0.0
	    do m = 1,mmax
	    do n = 1,nmax
	        xb(n,m) = m*dx + x0
	        yb(n,m) = n*dy + y0
          enddo
          enddo
	    nbounl = iboun
	elseif (casedata%cas.eq.2) then
	    do m = 1,mmax
	    do n = 1,nmax
	        if ((m.eq.mmax.and.n.gt.1.and.n.lt.nmax)) then
	            iboun = iboun - 1
	            lgrid(n,m) = iboun
              endif
          enddo
          enddo
	    x0 = 0
	    y0 = 0
          alpha = 0.0
          npart = 0
          rdum  = 0.0
	    do m = 1,mmax
	    do n = 1,nmax
	        xb(n,m) = m*dx + x0
	        yb(n,m) = n*dy + y0
          enddo
          enddo
	    nbounl = iboun
	else
          write(*,*) 'LGACCO: Geometry case not implemented'
          stop (5)
	endif

c     Map load location (allow for empty grid line and shift dx, dy

	nl = -1
	ml = -1
      do m = 1,mmax
		if (xb(1,m).ge.casedata%WL+dx) then
			ml = m
			exit
		endif
	enddo
      do n = 1,nmax
		if (yb(n,1).ge.casedata%LL+dy) then
			nl = n
			exit
		endif
	enddo
	if (ml.lt.0) ml = mmax-1
	if (nl.lt.0) nl = nmax-1
	segdis = lgrid(nl,ml)

	open (lu,file=trim(hydname)//'.lga',access='stream',
     &      form='unformatted')
      write (LU) NMAX,MMAX,NOSEGL,NLAY,NOQ1,NOQ2,NOQ3
      write (LU) lgrid
	close (lu)

c     Turn

	angle = casedata%GD/360.*2.*pi
      do n=1,nmax
	do m=1,mmax
	 xbt(n,m) = xb(n,m)*cos(angle)+yb(n,m)*sin(angle) + casedata%X0
	 ybt(n,m) = -xb(n,m)*sin(angle)+yb(n,m)*cos(angle) + casedata%Y0
	enddo
	enddo

	open (lu,file=trim(hydname)//'.cco',access='stream',
     &      form='unformatted')
      WRITE(LU)
      WRITE(LU) mmax,nmax,x0,y0,alpha,npart,nlay
      do i=1 , 2*npart+9
         write(lu) rdum
      enddo
      WRITE(LU) XBt
      WRITE(LU) YBt

	close (lu)

      end



 