#predefined_substances = ( # (decay rate, partition coefficient): 'name'
#                            ((0.0,   0.0), 'specify manually'),
#                            ((0.3,   0.0), 'BOD (untreated, after settling)'),
#                            ((0.15,  0.0), 'BOD (treated, discharge)'),
#                            ((0.0,  40.0), 'Cadmium'),
#                            ((0.0, 290.0), 'Chromium'),
#                            ((0.0, 420.0), 'Lead'),
#                            ((0.0, 437.0), 'Mercury'),
#                            ((0.1,   1.0), 'PHA / PAH (naphtalene, anthracene)'),
#                            ((0.0, 100.0), 'PHA / PAH (all other)'),
#                            ((0.0,   0.0), 'Phenols'),
#                            ((0.03,  0.0), 'Total nitrogen'),
#                            ((0.0,   0.0), 'Total phosphorus')
#                        )
predefined_substances = (
    ('manual',     'specify manually'),
    ('BODu',       'BOD (untreated, after settling)'),
    ('BODt',       'BOD (treated, discharge)'),
    ('Cadmium',    'Cadmium'),
    ('Chromium',   'Chromium'),
    ('Lead',       'Lead'),
    ('Mercury',    'Mercury'),
    ('PHAPAHna',   'PHA / PAH (naphtalene, anthracene)'),
    ('PHAPAHo',    'PHA / PAH (all other)'),
    ('Phenols',    'Phenols'),
    ('nitrogen',   'Total nitrogen'),
    ('phosphorus', 'Total phosphorus')
)

predefined_substances_values = {
    'BODu':       (0.3,   0.0),
    'BODt':       (0.15,  0.0),
    'Cadmium':    (0.0,  40.0),
    'Chromium':   (0.0, 290.0),
    'Lead':       (0.0, 420.0),
    'Mercury':    (0.0, 437.0),
    'PHAPAHna':   (0.1,   1.0),
    'PHAPAHo':    (0.0, 100.0),
    'Phenols':    (0.0,   0.0),
    'nitrogen':   (0.03,  0.0),
    'phosphorus': (0.0,   0.0)
}
