      subroutine wribin (ntime,itime,array,narray,hydname,ext)
	integer     :: ntime, narray
      integer     :: itime(ntime)
	real        :: array(narray)
	character*(*) :: hydname
	character*(*) :: ext

	integer,parameter :: lu = 101
	integer           :: itel

	open (lu,file=trim(hydname)//trim(ext),access='stream',
     &      form='unformatted')
	do itel = 1,ntime
	    write (lu) itime(itel),array
	enddo
	close (lu)
	return
	end

      subroutine wrilen (itime,array,ndim1,ndim2,hydname,ext)
	integer     :: itime,ndim1,ndim2
	real        :: array(ndim1,ndim2)
	character*(*) :: hydname
	character*(*) :: ext

	integer,parameter :: lu = 101

	open (lu,file=trim(hydname)//trim(ext),access='stream',
     &      form='unformatted')
      write (lu) itime,array
	close (lu)
	return

	end

      subroutine wrisur (nmax,mmax,nosegl,itime,array,ndim1,hydname,ext)
	integer     :: nmax,mmax,nosegl,itime,ndim1
	real        :: array(ndim1)
	character*(*) :: hydname
	character*(*) :: ext

	integer,parameter :: lu = 101

	open (lu,file=trim(hydname)//trim(ext),access='stream',
     &      form='unformatted')
      write (lu) itime,array
c      write (lu) nmax,mmax,nosegl,nosegl,nosegl,itime,array
	close (lu)

	end

      subroutine wripoi (array,ndim1,ndim2,hydname,ext)
	integer     :: ndim1,ndim2
	integer     :: array(ndim1,ndim2)
	character*(*) :: hydname
	character*(*) :: ext

	integer,parameter :: lu = 101

c	integer :: nboun, i1, i2

c	nboun = 0

c	do i1 = 1,2
c	do i2 = 1,ndim2
c	    nboun = min(nboun,array(i1,i2))
c	enddo
c	enddo
c      write (*,*) 'nboun =',nboun
	open (lu,file=trim(hydname)//trim(ext),access='stream',
     &      form='unformatted')
      write (lu) array
	close (lu)
	return

	end


	subroutine wridim (noseg,noq1,noq2,noq3,nosegl,nboun,segdis,
     j udis,hydname)
	integer     :: noseg,noq1,noq2,noq3,nosegl,nboun,segdis
      real        :: udis
	character*(*) :: hydname

	integer,parameter :: lu = 101

	integer           :: nolay,i

	open (lu,file=trim(hydname)//'.nrs')
	write (lu,1000) noseg
	close (lu)

	open (lu,file=trim(hydname)//'.nre')
	write (lu,1010) noq1, noq2, noq3
	close (lu)

	open (lu,file=trim(hydname)//'.atr')
	nolay = noseg/nosegl
	write (lu,1020) nosegl,(nolay-2)*nosegl,nosegl
	close (lu)

	open (lu,file=trim(hydname)//'.bid')
	do i = 1,nboun
	   write (lu,1030) i,i
	enddo
	close (lu)

	open (lu,file=trim(hydname)//'.lid')
      write (lu,1040) segdis
	close (lu)

     	open (lu,file=trim(hydname)//'.uds')
      write (lu,1050) udis
	close (lu)

	return
 1000 format (i10,' ; nr of segments')
 1010 format (i10,' ; nr of exchanges in direction 1'/
     j        i10,' ; nr of exchanges in direction 2'/
     j        i10,' ; nr of exchanges in direction 3')
 1020 format (i10,'*1'/i10,'*2'/i10,'*3')
 1030 format ('''B',i10,''' ''',i10,''' ''Boundary''')
 1040 format (i10,'  ''Pipe'' '' '' '' ''')
 1050 format (f10.5,' ; current at location/depth of Pipe')
	end

